{ pkgs, lib, config, ... }:
{
  config = lib.mkIf config.programs.less.enable {
    programs.powerline-go = {
      enable = true;
      modules = [ "user" "host" "venv" "cwd" "perms" "git" ];
      modulesRight = [ "jobs" "exit" "duration" "load" ];
      settings = {
        colorize-hostname = true;
        max-width = 25;
        cwd-max-dir-size = 10;
        duration = "$( test -n \"$__TIMER\" && echo $(( $EPOCHREALTIME - $\{__TIMER:-EPOCHREALTIME})) || echo 0 )";
        # UPST Implement this properly in home-manager, would allow for bash support
      };
      extraUpdatePS1 = ''
        unset __TIMER
        echo -en "\033]0; $USER@$HOST $PWD\007"
      '';
    };
  };
}
