{ pkgs, config, lib, ... }:
let
  basetheme = "solarized";
in
{
  config = {
    # Setting a custom base16 theme via nixvim is required so feline works, and
    # because stylix makes a config that otherwise only works with dark
    # polarity.
    programs.nixvim.colorschemes.base16.colorscheme = "${basetheme}-${config.frogeye.polarity}";

    stylix = {
      base16Scheme = "${pkgs.base16-schemes}/share/themes/${basetheme}-${config.frogeye.polarity}.yaml";
      fonts = {
        monospace = {
          package = pkgs.nerdfonts.override {
            fonts = [ "DejaVuSansMono" ]; # Choose from https://github.com/NixOS/nixpkgs/blob/6ba3207643fd27ffa25a172911e3d6825814d155/pkgs/data/fonts/nerdfonts/shas.nix
          };
          name = "DejaVuSansM Nerd Font";
        };
      };
    };
  };
}
